scim-chewing (0.3.5-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-depend on scim-gtk-immodule.
      + Recommend im-switch.
    - debian/rules:
      + Configure with sysconfdir=/etc, disable-static, and disable-rpath.
      + Add -f to the rm commands for the *.a and *.la files.
      + Install the file for im-switch handling.
    - debian/30_autotools_changes.patch:
      + Fix up po/Makefile.in.in to use some judicious touch rules to avoid
        an infinite loop on the build daemons.
      + Make sure LIBTOOL_EXPORT_OPTIONS is exported.
    - debian/scim-chewing.postinst: Add scim-chewing as an alternative input
      method for zh_TW.
    - debian/scim-chewing.prerm: Remove scim-chewing as an alternative input
      method for zh_TW.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 May 2016 03:20:14 -0400

scim-chewing (0.3.5-2) unstable; urgency=medium

  * Update maintainer email.
  * Update Vcs-* fields.
  * Use debhelper >= 9.20151219 for dbgsym.
  * Use -Wl,--as-needed to reduce dependencies.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Dec 2015 12:20:49 +0800

scim-chewing (0.3.5-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-depend on scim-gtk-immodule.
      + Recommend im-switch.
    - debian/rules:
      + Configure with sysconfdir=/etc, disable-static, and disable-rpath.
      + Add -f to the rm commands for the *.a and *.la files.
      + Install the file for im-switch handling.
    - debian/30_autotools_changes.patch:
      + Fix up po/Makefile.in.in to use some judicious touch rules to avoid
        an infinite loop on the build daemons.
      + Make sure LIBTOOL_EXPORT_OPTIONS is exported.
    - debian/scim-chewing.postinst: Add scim-chewing as an alternative input
      method for zh_TW.
    - debian/scim-chewing.prerm: Remove scim-chewing as an alternative input
      method for zh_TW.
  * Refresh patch.
  * Remove autotools-dev usage, as we now use dh-autoreconf.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 16 Aug 2015 22:46:32 -0700

scim-chewing (0.3.5-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Change maintainer to IME Packaging Team:
    * Update Vcs-*.
  * Update patches:
    * Remove upstream applied gtk.patch.
    * Update 0001-Change-libchewing-requirement-to-0.3.5.patch for
      dh-autoreconf.
  * Use dh-autoreconf.
  * Use GitHub in watch.

  [ Andrew Lee (李健秋) ]
  * Rewriting copyright file machine-readable format version 1.0.
  * debian/changelog: added full stops and colons.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 13 Aug 2015 00:00:54 +0800

scim-chewing (0.3.4-4.1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-depend on scim-gtk-immodule and autotools-dev.
      + Recommend im-switch.
    - debian/rules:
      + Build with dh_autotools-dev.
      + Configure with sysconfdir=/etc, disable-static, and disable-rpath.
      + Add -f to the rm commands for the *.a and *.la files.
      + Install the file for im-switch handling.
    - debian/30_autotools_changes.patch:
      + Fix up po/Makefile.in.in to use some judicious touch rules to avoid
        an infinite loop on the build daemons.
      + Make sure LIBTOOL_EXPORT_OPTIONS is exported.
    - debian/scim-chewing.postinst: Add scim-chewing as an alternative input
      method for zh_TW.
    - debian/scim-chewing.prerm: Remove scim-chewing as an alternative input
      method for zh_TW.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 13 Dec 2014 03:04:24 -0500

scim-chewing (0.3.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: conftest.c:68: undefined reference to `shl_load'":
    add patch 0001-Change-libchewing-requirement-to-0.3.5.patch from upstream
    git: change version check to '>='.
    Additionally change the check in ./configure as well.
    (Closes: #707442)

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Oct 2013 18:22:36 +0100

scim-chewing (0.3.4-4ubuntu4) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 28 Sep 2014 13:46:05 -0400

scim-chewing (0.3.4-4ubuntu3) saucy; urgency=low

  * Fix checking of higher version of libchewing (LP: #1220224).

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 08 Oct 2013 21:50:24 +0800

scim-chewing (0.3.4-4ubuntu2) quantal; urgency=low

  * Really fix the build dependency on scim-gtk-immodele.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 22:29:33 +0200

scim-chewing (0.3.4-4ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - add a build-depend on scim-gtk-immodule.
    - build with disable-static, disable-rpath
    - debian/30_autotools_changes.patch:
      + Fix up po/Makefile.in.in to use some judicious touch rules to avoid
        an infinite loop on the build daemons.
      + make sure LIBTOOL_EXPORT_OPTIONS is exported.
    - add scim-chewing as alternative input method for zh_TW in postinst
    - provide im-switch file and add a dep on im-switch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 21:56:06 +0200

scim-chewing (0.3.4-4) unstable; urgency=low

  * Added multi-arch support and update path in rules file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 07 Aug 2012 22:20:59 +0800

scim-chewing (0.3.4-3) unstable; urgency=low

  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.3.
  * Switching to xz compression for both the source and the binary packages.
  * Build-depends on libgtk-3-dev. (Closes: #679802)
  * Drop libgtk2.0-dev from build-depends.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 08 Jul 2012 01:58:16 +0800

scim-chewing (0.3.4-2) unstable; urgency=low

  * Add gtk patch. Thanks Tz-Huan Huang <tzhuan@gmail.com> from upstream.
    (Closes: #676009)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Jul 2012 02:14:03 +0800

scim-chewing (0.3.4-1) unstable; urgency=low

  * Imported Upstream version 0.3.4. (Closes: #642077)
  * Build-depends on libchewing 0.3.3.
  * Bumpped Standard-Version to 3.9.2.
  * Removing useless whitespaces at EOL and EOF.
  * Using debhelper 8.
  * Drop quilt from build-depends: since it's source format 3.0 (quilt).
  * Rewritten and compacting debian/rules file.
  * Sorting build-depends.
  * Warpping build-depends.
  * Clean up watch file.
  * Using watch format version 3.
  * Removing patches: included in upstream.
  * Adjust lintian-overrides for a long-standing bug in debhelper.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 03 Oct 2011 14:00:34 +0800

scim-chewing (0.3.3-2ubuntu2) precise; urgency=low

  * Fix FTFBS by requesting chewing 0.3.3 from pkg-config - LP: #935435

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 05 Mar 2012 17:24:46 +0100

scim-chewing (0.3.3-2ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - add a build-depend on scim-gtk2-immodule.
    - build with disable-static, disable-rpath
    - debian/30_autotools_changes.patch:
      + Fix up po/Makefile.in.in to use some judicious touch rules to avoid
        an infinite loop on the build daemons.
      + make sure LIBTOOL_EXPORT_OPTIONS is exported.
    - add scim-chewing as alternative input method for zh_TW in postinst
    - provide im-switch file and add a dep on im-switch.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 11 Nov 2010 09:20:24 +0300

scim-chewing (0.3.3-2) unstable; urgency=low

  * Build-depends on libltdl-dev (Closes:#590417)
  * Added Vcs-Git and Vcs-Browser tags
  * Switch to dpkg-source 3.0 (quilt) format
  * Convert patch from dpatch format to quilt
  * Update copyright file
  * Depends on misc:depends
  * Bump Standard-version to 3.9.0

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 27 Jul 2010 14:14:53 -0400

scim-chewing (0.3.3-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #308432
    - add a build-depend on scim-gtk2-immodule
    - build with disable-static, disable-rpath
    - Fix up po/Makefile.in.in to use some judicious touch rules to avoid
      an infinite loop on the build daemons (thanks to Ming Hua for the help)
    - add scim-chewing as alternative input method for zh_TW in postinst
    - provide im-switch file

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 16 Dec 2008 10:17:29 +0530

scim-chewing (0.3.3-1) unstable; urgency=low

  * New upstream release
    - Automatically shifting cursor after selection.
    - The direction of phrase choice.
  * update debian/watch
  * build-depends on libchewing3-dev (>= 0.3.2)

 -- Andrew Lee <andrew@linux.org.tw>  Fri, 05 Dec 2008 21:15:14 +0800

scim-chewing (0.3.2-1ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - add a build-depend on scim-gtk2-immodule
    - build with disable-static, disable-rpath
    - Fix up po/Makefile.in.in to use some judicious touch rules to avoid
      an infinite loop on the build daemons (thanks to Ming Hua for the help)
    - add scim-chewing as alternative input method for zh_TW in postinst
    - provide im-switch file

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Nov 2008 15:32:08 +0100

scim-chewing (0.3.2-1) unstable; urgency=low

  * New upstream release
    - Add selectable PinYin method support.
    - Fixed trigger key "Control-Space".
    - Fixed gedit crash problem.
    - Nederlands translation.
    - Keyboard layout toggle button on toolbar.
    - Added Chinese/English mode fast switch on toolbar.
    - Sync with libchewing API change.
  * Bump Standards-Version to 3.8.0
    - Added Homepage
  * debian/control:
    - Use automake instead of automake1.9
    - libchewing3-dev (>= 0.3.1)

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 12 Nov 2008 15:42:57 +0800

scim-chewing (0.3.1-3ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - add a build-depend on scim-gtk2-immodule
    - maintainer set to ubuntu
    - build with disable-static, disable-rpath
    - Fix up po/Makefile.in.in to use some judicious touch rules to avoid
      an infinite loop on the build daemons (thanks to Ming Hua for the help)
    - add scim-chewing as alternative input method for zh_TW in postinst
    - provide im-switch file

 -- Arne Goetje <arne@ubuntu.com>  Thu, 24 Jun 2008 16:00:00 +0800

scim-chewing (0.3.1-3) unstable; urgency=low

  * Update README.Debian(Closes:#427629) for Dan Jacobson
  * Applied gcc-4.3.dpatch to solve FTBFS (Closes:#441586) by
    Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
  * debian/control:
    - Depends on scim
    - Bump Standards-Version to 3.7.3

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 05 Mar 2008 21:41:07 +0800

scim-chewing (0.3.1-2ubuntu3) hardy; urgency=low

  * Rebuild with recent g++ compiler version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2008 11:25:04 +0000

scim-chewing (0.3.1-2ubuntu2) gutsy; urgency=low

  * Fix build failures with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2007 14:05:05 +0000

scim-chewing (0.3.1-2ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - add a build-depend on scim-gtk2-immodule
    - maintainer set to ubuntu
    - build with disable-static, disable-rpath
    - Fix up po/Makefile.in.in to use some judicious touch rules to avoid
      an infinite loop on the build daemons (thanks to Ming Hua for the help)
    - add scim-chewing as alternative input method for zh_TW in postinst
    - provide im-switch file
    
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 May 2007 13:09:32 +0200

scim-chewing (0.3.1-2) unstable; urgency=low

  * Dropped ttf-arphic-ukai from Recommends cause it is not suitable font
    for display on screen.
  * Mention this version also support Han-Yu PinYin keyboard in
    descriptions.
  * Adapt to scim's $(moduledir) change: (Closes: #422953)
    - Upgraded Standards-Version to 3.7.2.2
    - Build-Depends on Build-Depends on libscim-dev (>= 1.4.6)
    - Drop 10scim-chewing-module-install-dir.dpatch

 -- Andrew Lee <andrew@linux.org.tw>  Thu, 23 Aug 2007 22:11:24 +0800

scim-chewing (0.3.1-1ubuntu4) edgy; urgency=low

  * Fix FTBFS: add a build-depend on scim-gtk2-immodule, due to the way
    we split the libraries up for the sake of GTK-hating derviatives.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Oct 2006 18:36:07 +1000

scim-chewing (0.3.1-1ubuntu3) edgy; urgency=low

  * Correct the scim-bridge's dir in
    debian/im-switch/scim-pinyin, due to the
    change in gtk2 

 -- Hou ZhengPeng <zhengpeng.hou@gmail.com>  Wed, 16 Aug 2006 08:31:01 +0800

scim-chewing (0.3.1-1ubuntu2) edgy; urgency=low

  * Improve the conffile of im-switch in 
    debian/im-switch/scim-chewing.
  * Use scim-chewing in scim-chewing.postinst and
    scim-chewing.prerm for zh_TW locale users, 
    instead of scim-pinyin.

 -- Hou ZhengPeng <zhengpeng.hou@gmail.com>  Tue, 11 Jul 2006 13:47:22 +0800

scim-chewing (0.3.1-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 10 Jul 2006 16:33:31 +0100

scim-chewing (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Removed fix_intltool.dpatch (included in upstream)
  * Added Recommends: ttf-arphic-uming, ttf-arphic-ukai to prevert
    display of some missing Chinese characters
  * Stop to rebuild the build system since this version

 -- Andrew Lee <andrew@linux.org.tw>  Fri,  2 Jun 2006 00:07:04 +0800

scim-chewing (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #358310)
  * Drop remove-ltdl.dpatch (included in upstream)
  * Added fix_intltool.dpatch (Thanks to Jordi, Enrico, Kanru and pcman)
  * Remove "config.log in source warning" entry in lintian-overrides
  * Changed Standards-Version to 3.7.2.0
  * Build-depends on debhelp (>=5.0.0), libchewing3-dev (>= 0.3.0)
  * Change debhelper compatibility to 5
  * Updated README.Debian

 -- Andrew Lee <andrew@linux.org.tw>  Tue, 30 May 2006 17:33:52 +0800

scim-chewing (0.2.1-2ubuntu4) dapper; urgency=low

  * check for skim in the im-switch file and sets XIM_PROGRAM=skim if
    it is installed (fixes the problem that skim is not started currently
    automatically in kubuntu)

 -- Hou ZhengPeng <zhengpeng.hou@gmail.com>  Wed, 12 Apr 2006 15:29:44 +0800

scim-chewing (0.2.1-2ubuntu3) dapper; urgency=low

  * Fix up po/Makefile.in.in to use some judicious touch rules to avoid
    an infinite loop on the build daemons (thanks to Ming Hua for the help)
  * Make scripts/remove-autotool.sh stop cleaning the above file on clean.
  * Make both these changes directly to the diff.gz since, otherwise, the
    clean target in debian/rules would delete the file before dpatch ran.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Mar 2006 15:57:55 +1100

scim-chewing (0.2.1-2ubuntu2) dapper; urgency=low

  * Add im-switch configure file in debian/im-switch for postinst.
  * Add im-switch to Recommends.
  * Use ttf-arphic-uming and ttf-arphic-ukai as recommend chinese fonts .

 -- Abel Cheung <abelcheung@gmail.com>  Wed, 15 Mar 2006 17:42:39 +0000

scim-chewing (0.2.1-2ubuntu1) dapper; urgency=low

  * Add patch for correct the configure.ac for LIBTOOL _EXPORT_OPTIONS 
  * Add skim as an option instead of scim in the depends

 -- Hou ZhengPeng <zhengpeng.hou@gmail.com>  Tue, 28 Feb 2006 15:53:23 +0800

scim-chewing (0.2.1-2build1) dapper; urgency=low

  * Rebuild due to the libstdc++ allocator ABI transition.

 -- Ming Hua <minghua@rice.edu>  Sat, 17 Dec 2005 17:58:32 -0600

scim-chewing (0.2.1-2) unstable; urgency=low

  * Changed Standards-Version to 3.6.2.0 in debian/control
  * Corrected FSF address in debian/copyright
  * Added 20_remove-ltdl.dpatch Closes: #336556
  * Ignore config.log in source warning in lintian-overrides file

 -- Andrew Lee <andrew@linux.org.tw>  Tue,  1 Nov 2005 16:10:12 +0800

scim-chewing (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on libscim-dev (>= 1.4.1), libchewing2-dev (>= 0.2.7)
  * Minor changes for chewing module install directary in debian/rules
    and scim-chewing-module-install-dir.dpatch
  * Removed 01space-as-selection_setup.dpatch

 -- Andrew Lee <andrew@linux.org.tw>  Fri, 26 Aug 2005 18:03:22 +0800

scim-chewing (0.2.0-3) unstable; urgency=low

  * Build-Depends from scim-dev (>= 1.0.1) to libscim-dev (>= 1.2.0).
  * Now rebuild with scim 1.2.2-0+SVN3
    Build-Depends on scim-dev >= 1.2.2
  * Minor changes for chewing module install directary in
    debian/rules and scim-chewing-module-install-dir.dpatch

 -- Andrew Lee <andrew@linux.org.tw>  Tue, 21 Jun 2005 15:29:10 +0800

scim-chewing (0.2.0-2.1) unstable; urgency=low

  * Build-Depends on libchewing >= 0.2.6+svn20050326.

 -- Andrew Lee <andrew@linux.org.tw>  Fri,  1 Apr 2005 17:36:19 +0800

scim-chewing (0.2.0-2) unstable; urgency=high

  * Minor changes in debian/rules: Shouldn't use {la,a} in Makefile
  * Removed build depends g++ from control file which listed in
    build-essential
  * Use libchewing-0.2.6+svn20050326-1 to solve the HanYu PinYin
    keymap support problem
  * 01space-as-selection_setup.dpatch: Fixed space key as character
    selection key problem. (Kanru Chen)
  * Closes: #301501 : scim-chewing: Not installable

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 30 Mar 2005 19:57:26 +0800

scim-chewing (0.2.0-1) unstable; urgency=high

  * New upstream release
  * Changed build depends from libchewing1-dev to libchewing2-dev

 -- Andrew Lee <andrew@linux.org.tw>  Thu,  3 Mar 2005 10:35:37 +0800

scim-chewing (0.1.901-1) unstable; urgency=low

  * New upstream release

 -- Andrew Lee <andrew@linux.org.tw>  Fri, 25 Feb 2005 00:54:45 +0800

scim-chewing (0.1.1-2) unstable; urgency=low

  * Update README.Debian.
  * debian/control: Add build-depends on libtool, intltool, autoconf,
    automake1.9 , build-conflicts on autoconf2.13, automake1.4 which
    suggested by autotools-dev and minor changes in descriptions
  * Add scim-chewing.lintian-overrides file

 -- Andrew Lee <andrew@linux.org.tw>  Sun, 23 Jan 2005 14:36:03 +0800

scim-chewing (0.1.1-1) unstable; urgency=low

  * New upstream release
  * Corrected upstream's url.

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 22 Dec 2004 19:03:29 +0800

scim-chewing (0.0.cvs20041130-2) unstable; urgency=low

  * Removed .svn

 -- Andrew Lee <andrew@linux.org.tw>  Sat,  4 Dec 2004 00:08:09 +0800

scim-chewing (0.0.cvs20041130-1) unstable; urgency=low

  * The first working snapshot upstream release
  * Added upstream url to copyright file
  * Added watch file

 -- Andrew Lee <andrew@linux.org.tw>  Fri,  3 Dec 2004 02:04:31 +0800

scim-chewing (0.0.cvs20041119-3) unstable; urgency=low

  * Closes: #283218

 -- Andrew Lee <andrew@linux.org.tw>  Sat, 27 Nov 2004 19:21:36 +0800

scim-chewing (0.0.cvs20041119-2) unstable; urgency=low

  * Provide .orig.tar.gz

 -- Andrew Lee <andrew@linux.org.tw>  Fri, 26 Nov 2004 15:05:49 +0800

scim-chewing (0.0.cvs20041119-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Lee <andrew@linux.org.tw>  Sat, 20 Nov 2004 20:43:53 +0800

